<section class="center-container">
    <h1>Admin Tools</h1>
    <nav id="admin-menu">
        <ul>
            <li><a class="admin-link" (click)="overview = false; adduser = false; edituser = false;">overzicht</a></li>
            <li><a class="admin-link" (click)="overview = true; adduser = true; edituser = false;">gebruiker toevoegen</a></li>
            <li><a class="admin-link" (click)="overview = true; adduser = false; edituser = true;">gebruiker aanpassen</a></li>
        </ul>
    </nav>

    <div id="overview-content" [hidden]="overview">
        <h2>Overzicht</h2>
        <div>
            <label class="links" >Het aantal cliënten is:</label>
            <label class="rechts">  {{ (allClients | async)?.length }}</label>
        </div>
        <div>
            <label class="links" >Het aantal producten uit de RIVM database is:</label>
            <label class="rechts"> {{ (countRivm)}} </label>
        </div>
        <div>
            <label class="links" >Het aantal zelf toegevoegde producten is:</label>
            <label class="rechts"> {{(addedProducts | async)?.length }}</label>
        </div>
        <div>
            <label class="links" >Het aantal gebruikers is: </label>
            <label class="rechts">{{ (allUsers | async)?.length }}</label>
        </div>

    </div>



    <div id="add-user-content" [hidden]="!adduser">
        <h2>Gebruiker toevoegen</h2>
        <form name="addUserForm" #loginForm="ngForm" (ngSubmit)="register()" id="addUserForm">
            <label for="firstname">Voornaam: </label>
            <input type="text" name="firstname" id="firstname" placeholder="voornaam" required [(ngModel)]="user.firstname" #firstname="ngModel"><br>
            <label for="preposition">Tussenvoegsel:</label>
            <input type="text" name="preposition" id="preposition" placeholder="tussenvoegsel" required [(ngModel)]="user.preposition" #preposition="ngModel"><br>
            <label for="lastname">Achternaam: </label>
            <input type="text" name="lastname" id="lastname" placeholder="achternaam" required [(ngModel)]="user.lastname" #lastname="ngModel"><br>
            <label for="username">Gebruikersnaam: </label>
            <input type="text" name="username" id="username" placeholder="gebruikersnaam" required [(ngModel)]="user.username" #username="ngModel"><br>
            <label for="password">Wachtwoord: </label>
            <input type="password" name="password" id="password" placeholder="wachtwoord" required [(ngModel)]="user.password" #password="ngModel"><br>
            <label for="email">E-mail: </label>
            <input type="text" name="email" id="email" placeholder="e-mail" required [(ngModel)]="user.email" #email="ngModel"><br>
            <label for="role">Rol: </label>
            <input type="text" name="role" id="role" placeholder="coach / admin" required [(ngModel)]="user.role" #email="ngModel"><br>
            <label></label>
            <input type="submit" value="Bevestig">
        </form>
    </div>
    <div id="edit-user-content" [hidden]="!edituser">
        <h2>Gebruiker aanpassen</h2>
        <label>Selecteer een cliënt: </label>
        <select #selectUser [ngModel]="selectedUser"
                (ngModelChange)="setSelectedUser($event)">
            <option *ngFor="let user of userService.allUsers$ | async" [ngValue]="user"
                    [selected]="user.username === (userService.selectedUser | async)?.username">
                {{ user.firstname }}
                {{ user.preposition }}
                {{ user.lastname }}
            </option>
        </select><br>
        <div>
            <form name="addUserForm" (ngSubmit)="updateUser()" id="editUserForm" [(ngModel)] = "user">
                <label for="firstnameEdit">Voornaam: </label>
                <input type="text" name="firstname" id="firstnameEdit" placeholder="voornaam"
                       [(ngModel)]="user.firstname"
                       value="{{(userService.selectedUser| async)?.firstname}}"><br>
                <label for="prepositionEdit">Tussenvoegsel:</label>
                <input type="text" name="preposition" id="prepositionEdit" placeholder="tussenvoegsel" [(ngModel)]="user.preposition" value="{{(userService.selectedUser| async)?.preposition}}"><br>
                <label for="lastnameEdit">Achternaam: </label>
                <input type="text" name="lastname" id="lastnameEdit" placeholder="achternaam" [(ngModel)]="user.lastname" value="{{(userService.selectedUser| async)?.lastname}}"><br>
                <label for="usernameEdit">Gebruikersnaam: </label>
                <input type="text" name="username" id="usernameEdit" placeholder="gebruikersnaam"
                       value="{{(userService.selectedUser| async)?.username}}"
                       [(ngModel)]="user.username" disabled><br>
                <label for="passwordEdit">Wachtwoord: </label>
                <input type="password" name="password" id="passwordEdit" placeholder="wachtwoord" [(ngModel)]="user.password" value="{{(userService.selectedUser| async)?.password}}"><br>
                <label for="emailEdit">E-mail: </label>
                <input type="text" name="email" id="emailEdit" placeholder="e-mail" [(ngModel)]="user.email" value="{{(userService.selectedUser| async)?.email}}"><br>
                <label for="roleEdit">Rol: </label>
                <input type="text" name="role" id="roleEdit" placeholder="coach / admin" [(ngModel)]="user.role" value="{{(userService.selectedUser| async)?.role}}"><br>
                <label></label>
                <input type="submit" value="Bevestig">
                <input type="button" value="Verwijder" (click)="deleteUser()">
            </form>
        </div>
    </div>
</section>
